Class | UserDataModule
In: | lib/rbot/core/userdata.rb
Parent: | CoreBotModule

User data is stored in registries indexed by BotUser name and Irc::User nick. This core module takes care of handling its usage.

### Methods

event_botuser get_data get_data_hash handle_get new set_data set_data_hash with_data

### Public Class methods

new()

### Public Instance methods

event_botuser(action, opts={})

      TODO FIXME not yet: are we going to allow non-string
      values for data? if so, this can't work ...

def handle_set(m, params)

      user = m.server.get_user(params[:nick]) || m.source
      key = params[:key].intern
      data = params[:data].to_s

end

get_data(user, key=nil)
get_data_hash(user, opts={})
handle_get(m, params)
set_data(user, key, value=nil) {|h[key]| ...}
set_data_hash(user, hh)
with_data(user) {|h| ...}

[Validate]